Subject: [netmod] [Errata Verified] RFC7950 (6078)

From: RFC Errata System <[email-masked]>
Date: Fri, 3 Apr 2020 04:08:52 -0700 (PDT)

The following errata report has been verified for RFC7950,
"The YANG 1.1 Data Modeling Language". 

--------------------------------------
You may review the report below and at:
https://www.rfc-editor.org/errata/eid6078

--------------------------------------
Status: Verified
Type: Technical

Reported by: Michal Vasko <[email-masked]>
Date Reported: 2020-04-03
Verified by: Rob Wilton (IESG)

Section: 6.4.

Original Text
-------------
   For example, consider the following definition:

     leaf lxiv {
       type decimal64 {
         fraction-digits 18;
       }
       must ". <= 10";
     }

   An instance of the "lxiv" leaf having the value of
   10.0000000000000001 will then successfully pass validation.

Corrected Text
--------------
   For example, consider the following definition:

     leaf lxiv {
       type decimal64 {
         fraction-digits 18;
       }
       must ". <= 9";
     }

   An instance of the "lxiv" leaf having the value of
   9.0000000000000001 will then successfully pass validation.

Notes
-----
Value 10.0000000000000001 is not a valid decimal64 value with 18 fraction digits as per Section 9.3.4.

--------------------------------------
RFC7950 (draft-ietf-netmod-rfc6020bis-14)
--------------------------------------
Title               : The YANG 1.1 Data Modeling Language
Publication Date    : August 2016
Author(s)           : M. Bjorklund, Ed.
Category            : PROPOSED STANDARD
Source              : Network Modeling
Area                : Operations and Management
Stream              : IETF
Verifying Party     : IESG